<?php

namespace Tqdev\PhpCrudApi;

use AbraFlexi\Processor\Api;
use Tqdev\PhpCrudApi\RequestFactory;
use Tqdev\PhpCrudApi\ResponseUtils;

/**
 * System.Spoje.Net - API
 *
 * @author     Vítězslav Dvořák <info@vitexsoftware.cz>
 * @copyright  2021 Spoje.Net
 */
define('APP_NAME', 'AbraFlexiChangesProcessor');
define('EASE_LOGGER', 'console|syslog');
require_once "/var/lib/composer/abraflexi-changes-processor/autoload.php";

if (file_exists('/etc/abraflexi-changes-processor/.env')) {
    \Ease\Shared::singleton()->loadConfig('/etc/abraflexi-changes-processor/.env', true);
}


$request = RequestFactory::fromGlobals();
$api = new Api();
$response = $api->handle($request);
ResponseUtils::output($response);
$api->logRequest($request);
$api->logResponse($response);
